<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.TAuditNodeProcessMapper">

	<resultMap id="tAuditNodeProcessMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.TAuditNodeProcess">
		<id property="id" column="id"/>
		<result property="processId" column="process_id"/>
		<result property="nodeId" column="node_id"/>
		<result property="nodeType" column="node_type"/>
		<result property="createTime" column="create_time"/>
		<result property="domainId" column="domain_id"/>
		<result property="mainType" column="main_type"/>
		<result property="logoTitle" column="logo_title"/>
		<result property="nodeName" column="node_name"/>
		<result property="processName" column="process_name"/>
		<result property="parentProcessId" column="parent_process_id"/>
		<result property="deleteFlag" column="delete_flag"/>
		<result property="type" column="type"/>
		<result property="addSignParentNodeId" column="add_sign_parent_node_id"/>
		<result property="addSignDepartmentId" column="add_sign_department_id"/>
		<result property="domainName" column="domain_name"/>
		<result property="addSignApprovalMan" column="add_sign_approval_man"/>
		<result property="addSignApprovalManName" column="add_sign_approval_man_name"/>
	</resultMap>
	<sql id="Base_Column_List">
                a.id,
                a.process_id,
                a.node_id,
                a.node_type,
                a.create_time,
                a.domain_id,
                a.main_type,
                a.logo_title,
                a.node_name,
                a.process_name,
                a.parent_process_id,
                a.delete_flag,
                a.type,
                a.add_sign_parent_node_id,
                a.add_sign_department_id,
                a.domain_name,
                a.add_sign_approval_man,
                a.add_sign_approval_man_name
    </sql>
	<sql id="tAuditNodeProcess_where">
		<if test="tAuditNodeProcess != null">
			<if test="tAuditNodeProcess.id != null and tAuditNodeProcess.id.trim() != ''">
				AND a.id = #{tAuditNodeProcess.id}
			</if>
			<if test="tAuditNodeProcess.processId != null and tAuditNodeProcess.processId.trim() != ''">
				AND a.process_id = #{tAuditNodeProcess.processId}
			</if>
			<if test="tAuditNodeProcess.nodeId != null and tAuditNodeProcess.nodeId.trim() != ''">
				AND a.node_id = #{tAuditNodeProcess.nodeId}
			</if>
			<if test="tAuditNodeProcess.nodeType != null and tAuditNodeProcess.nodeType.trim() != ''">
				AND a.node_type = #{tAuditNodeProcess.nodeType}
			</if>
			<if test="tAuditNodeProcess.createTime != null">
				AND a.create_time = #{tAuditNodeProcess.createTime}
			</if>
			<if test="tAuditNodeProcess.domainId != null and tAuditNodeProcess.domainId.trim() != ''">
				AND a.domain_id = #{tAuditNodeProcess.domainId}
			</if>
			<if test="tAuditNodeProcess.mainType != null and tAuditNodeProcess.mainType.trim() != ''">
				AND a.main_type = #{tAuditNodeProcess.mainType}
			</if>
			<if test="tAuditNodeProcess.logoTitle != null and tAuditNodeProcess.logoTitle.trim() != ''">
				AND a.logo_title = #{tAuditNodeProcess.logoTitle}
			</if>
			<if test="tAuditNodeProcess.nodeName != null and tAuditNodeProcess.nodeName.trim() != ''">
				AND a.node_name = #{tAuditNodeProcess.nodeName}
			</if>
			<if test="tAuditNodeProcess.processName != null and tAuditNodeProcess.processName.trim() != ''">
				AND a.process_name = #{tAuditNodeProcess.processName}
			</if>
			<if test="tAuditNodeProcess.parentProcessId != null and tAuditNodeProcess.parentProcessId.trim() != ''">
				AND a.parent_process_id = #{tAuditNodeProcess.parentProcessId}
			</if>
			<if test="tAuditNodeProcess.deleteFlag != null and tAuditNodeProcess.deleteFlag.trim() != ''">
				AND a.delete_flag = #{tAuditNodeProcess.deleteFlag}
			</if>
			<if test="tAuditNodeProcess.type != null and tAuditNodeProcess.type.trim() != ''">
				AND a.type = #{tAuditNodeProcess.type}
			</if>
			<if test="tAuditNodeProcess.addSignParentNodeId != null and tAuditNodeProcess.addSignParentNodeId.trim() != ''">
				AND a.add_sign_parent_node_id = #{tAuditNodeProcess.addSignParentNodeId}
			</if>
			<if test="tAuditNodeProcess.addSignDepartmentId != null and tAuditNodeProcess.addSignDepartmentId.trim() != ''">
				AND a.add_sign_department_id = #{tAuditNodeProcess.addSignDepartmentId}
			</if>
			<if test="tAuditNodeProcess.domainName != null and tAuditNodeProcess.domainName.trim() != ''">
				AND a.domain_name = #{tAuditNodeProcess.domainName}
			</if>
			<if test="tAuditNodeProcess.addSignApprovalMan != null and tAuditNodeProcess.addSignApprovalMan.trim() != ''">
				AND a.add_sign_approval_man = #{tAuditNodeProcess.addSignApprovalMan}
			</if>
			<if test="tAuditNodeProcess.addSignApprovalManName != null and tAuditNodeProcess.addSignApprovalManName.trim() != ''">
				AND a.add_sign_approval_man_name = #{tAuditNodeProcess.addSignApprovalManName}
			</if>
		</if>
	</sql>

</mapper>
